# Незабавен превод (instantTranslate) #

* Автори: Alexy Sadovoy, Beqa Gozalishvili, Mesar Hameed, Alberto Buffolino
  и други сътрудници на NVDA.
* Изтегляне на [стабилна версия][1]
* Изтегляне на [тестова версия][2]

Тази добавка е предназначена за превод на маркиран или копиран текст от един
език на друг.  Това се постига с помощта на услугата "Google Преводач".

## Настройка на езиците ##
За да конфигурирате текущия, желания и в случая - разменяемия език, отидете в: менюто на NVDA >> Настройки >> Незабавен превод.

Има два падащи списъка с надписи "Текущ език" и "Желан език" и поле за
отметка, с което се определя дали да се копира превода в клипборда.

В допълнение, ако сте избрали опцията "Автоматично" (първият избор) от
падащия списък "Текущ език", има и падащ списък с надпис "Език за замяна" и
поле за отметка за автоматична замяна.

Предназначението на първите два падащи списъка и полето с отметка за
копиране е ясно, но трябва да кажем няколко думи за останалите. Винаги
помнете, че обясненията по-долу важат при избрана опция "Автоматично" за
текущия език.

Падащият списък "Език за замяна" е полезен, когато сменяте чрез скрипт
(вижте по-долу) текущия и желания език. В действителност задаването на
стойност "Автоматично" на опцията за желан език няма смисъл, затова
добавката я задава на стойността от падащия списък по-горе.

Представете си следната ситуация: вие обикновено превеждате на английски
език (вашия основен език), но понякога (например когато пишете документ)
трябва да превеждате на италиански (вашия втори език, предполага се). Можете
да зададете стойността в падащия списък "Език за замяна" на италиански, така
че вие ще можете да превеждате от английски на италиански без да е
необходимо да отваряте настройките на добавката. Очевидно тази функция ще
има главно или второстепенно практическо приложение за вас, в зависимост от
нуждите ви.

Сега, полето за отметка за автоматична замяна се появява, ако и само ако сте
задали опцията "Автоматично" в падащия списък за "Текущ език" и е свързано
директно с падащия списък за "Език за замяна". Ако го задействате, добавката
ще се опитва да превключи автоматично от вашата конфигурация за текущ и
желан език към конфигурация, където желаният език става текущ език и езикът,
избран в падащия списък за "Език за замяна" става новият желан език. Това е
изключително полезно, ако текущият език на текста, който искате да
преведете, е желаният език.

Един прост пример: вземете отново предвид ситуацията, която си представихте
преди малко. Ако превеждате текст на език, различен от английски - няма
проблем - получавате правилния превод на английски език. Но ако имате нужда
да преведете текст от английски, обикновено получавате превод на английски,
идентичен с оригиналния текст, което е безполезно. Благодарение на функцията
за автоматична замяна обаче, ако приемем, че искате да знаете как вашият
текст звучи на италиански, добавката автоматично заменя желания език на
италиански, връщайки валиден превод.

Тъй или иначе, това е временна настройка. Ако тази опция няма ефект (тя е
експериментална), опитайте се да замените ръчно към стабилна настройка,
използвайки жеста за смяна, описан по-долу. Експериментална е, защото в
някои ситуации (обикновено - с кратки текстове), Google не разпознава
реалния текущ език правилно, и вие трябва да сменяте езика ръчно чрез
скрипт, така че да принудите текущия език да бъде предишния желан език (в
нашия пример – английски).

В диалоговия прозорец за параметрите на речта (меню на NVDA -> Настройки -> Опции -> Реч) може да е добре да включите опцията "Автоматична промяна на езика (когато това е възможно)". По този начин, ако използвате многоезичен синтезатор, преводът ще бъде прочетен с гласа, съответстващ на целевия език на превода.

## Употреба ##
Можете да използвате тази добавка по три начина:

1. Маркирайте известно количество текст с помощта на командите за маркиране
   на текст (например shift в комбинация със стрелките). След това натиснете
   зададената за целта клавишна комбинация, за да преведете маркирания
   текст. След това преводът ще ви бъде прочетен с избрания от вас речев
   синтезатор.
2. Можете да превеждате и текст от клипборда.
3. Натиснете указаната за целта клавишна комбинация, за да се преведе
   последно изговорения текст.

## Клавишни комбинации ##
Всичките изброени по-долу команди трябва да бъдат изпълнени след натискането
на клавишната комбинация "NVDA+Shift+T":

* T: Превод на избрания текст,
* Shift+T: Превод на текста от клипборда,
* S: Размяна на текущия и желания език,
* A: Съобщаване на текущите настройки,
* C: Копиране на последния резултат в клипборда,
* I: Определяне на езика на избрания текст,
* L: Превод на последно изговорения текст,
* O: Отваряне на диалоговия прозорец за настройки на превода
* H: Съобщава всички налични слоеви команди.

## Промени във версия 4.4.3 ##
* Добавена е възможност за замяна на долни черти с интервали (може да
  осигури по-добри резултати при превод в зависимост от
  контекста). Благодарности на Beka Gozalishvili.
* Добавена е съвместимост с NVDA 2022.1.

## Промени във версия 4.4.2 ##
* Възстановено е откриването на езика и автоматичната размяна (благодарности
  на Cyrille за приноса)
* Обновен е списъкът с поддържаните за превод езици (благодарности на
  Cyrille)

## Промени във версия 4.4 ##
* "Незабавен превод" вече е съвместима с NVDA 2019.3 (версиите на NVDA,
  базирани на Python 3)

## Промени във версия 4.3 ##
* Поправка на съвместимостта с NVDA – сега "Незабавен превод" е съвместима с
  най-новите версии на NVDA.
* Открит е начин отново да се използва Google като услуга за превод.

## Промени във версия 4.2 ##
* Възстановено е работното състояние с по-новите версии на NVDA.
* Възстановено е автоматичното разпознаване на езика.

## Промени във версия 4.1 ##
* InstantTranslate работи отново, сега с услугата за превод на Yandex вместо
  Google.

## Промени във версия 4.0 ##
* Преводът се извършва автоматично след размяна на езиците.
* Отстранен е проблем с кеша.

## Промени във версия 3.0 ##
* Промяна на начина, по който се изпълняват командите. Сега можете да
  натиснете клавишната комбинация за Незабавен Превод - "NVDA+Shift+T" и
  след това команди от по един клавиш, за да извършите дадени действия
  (вижте всички налични команди в раздела "Клавишни комбинации").
* Добавена е възможност за размяна на езиците.
* Променен е форматът на конфигурационния файл. Вече можем да променяме
  настройките на добавката, ако сме в поле само за четене. Но трябва да се
  отбележи, че това ще работи само преди първото рестартиране на nvda.
* Премахнато е ограничението за дължината на текста, който може да бъде
  преведен.
* Добавен е бърз клавиш t към елемента от менюто в английската локализация
  на добавката
* Елементът auto вече е на първо място в падащия списък за език на текста и
  е премахнат в падащия списък за желан език.
* Добавено е поле за отметка за настройка на копирането на резултата от
  превода.
* Файлът с настройките вече се съхранява в основната папка с настройки.
* Текущият и желаният езици биват синхронизирани с това, което предоставя
  Google Translate към текущия момент (22 април 2015 г.).


## Промени във версия 2.1 ##
* Добавена е възможност за превод на текст от клипборда с натискане на
  nvda+shift+y.

## Промени във версия 2.0 ##
* Добавен е диалог за настройка, където може да изберете език на текста и
  желан език.
* Добавен е елемент в менюто на NVDA, подменю Настройки.
* Настройките вече се записват в отделен конфигурационен файл.
* Резултатите от превода вече се копират автоматично в клипборда за бъдещо
  използване.

## Промени във версия 1.0 ##
* Първоначално издание.


[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=instantTranslate

[2]: https://addons.nvda-project.org/files/get.php?file=it-dev
